#! /usr/bin/perl
package Tables;
require 5.003;
use strict;

#
# some more definitions
#
@main::tables = 
qw(
   SF_AS
   SF_HIER_DIRECT
   SF_HIER_PARENT
   SF_HIER_PEER
   SF_META
   SF_METHOD
   SF_MIME
   SF_PEAK
   SF_SCHEME
   SF_SLD
   SF_STAMP1
   SF_STAMP2
   SF_TCP_CLIENT
   SF_TCP_HIT
   SF_TCP_MISS
   SF_TCP_NONE
   SF_TLD
   SF_UDP_CLIENT
   SF_UDP_HIT
   SF_UDP_MISS
);

sub insert {
    # purpose: insert (and later update) data in the database
    # paramtr: $handle (IN): database handle
    #          $table (IN): table to update
    #          @_ (IN): values to put into the table
    # returns: ???
    my $handle = shift;
    my $table = shift;

    # construct a request string
    my $request = "insert into $table values (" . join(',',@_) . ")";
    my $query = $handle->prepare($request) || 
	die "$table->prepare: DBI::errstr\n";
    my $retval = $query->execute() ||
	die "$table->insert: DBI::errstr\n";
    $retval = $query->finish() ||
	die "$table->finish: DBI::errstr\n";
    1;
}

# success
1;
